1. Andrea Vandergragt's Avatar
    When I go to the play store, it tells me that my phone "isn't compatible with this version" and I'm not sure what to do, there aren't any suggestions there to go off of.
    01-08-2017 07:06 PM
  2. jeffhaskins's Avatar
    What device is it? If it is an S3 or something older it probably has hardware limitations that will prevent certain apps from being compatible. Pokemon Go is one for example, that requires a certain spec of gps so it is not compatible with older devices.
    01-08-2017 07:25 PM
  3. ManiacJoe's Avatar
    In addition to Jeff's answer, some apps require your Android OS to be of a certain version or higher.
    01-09-2017 06:06 PM

Similar Threads

  1. I cannot not use my honor 8.
    By swagglepuff in forum Honor 8
    Replies: 4
    Last Post: 02-01-2017, 07:52 PM
  2. Replies: 2
    Last Post: 01-09-2017, 04:08 AM
  3. Replies: 2
    Last Post: 01-09-2017, 04:06 AM
  4. I don't receive push notification on my Device Galaxy J7 2015
    By AC Question in forum Ask a Question
    Replies: 2
    Last Post: 01-09-2017, 03:52 AM
  5. Replies: 2
    Last Post: 01-09-2017, 02:39 AM
LINK TO POST COPIED TO CLIPBOARD